Bug 1033114 - [abrt] pidgin-2.10.7-8.fc20: purple_proxy_connect_data_destroy: Process /usr/bin/pidgin was killed by signal 6 (SIGABRT)
[abrt] pidgin-2.10.7-8.fc20: purple_proxy_connect_data_destroy: Process /usr/...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Synacek
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7594b60442f6fc47b630ce617ef...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 10:07 EST by Nathan Crubel
Modified: 2015-06-29 09:06 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 09:06:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.80 KB, text/plain)
2013-11-21 10:07 EST, Nathan Crubel
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-21 10:08 EST, Nathan Crubel
no flags Details
File: core_backtrace (18.52 KB, text/plain)
2013-11-21 10:08 EST, Nathan Crubel
no flags Details
File: dso_list (17.56 KB, text/plain)
2013-11-21 10:08 EST, Nathan Crubel
no flags Details
File: environ (1.96 KB, text/plain)
2013-11-21 10:08 EST, Nathan Crubel
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-21 10:08 EST, Nathan Crubel
no flags Details
File: maps (87.37 KB, text/plain)
2013-11-21 10:08 EST, Nathan Crubel
no flags Details
File: open_fds (498 bytes, text/plain)
2013-11-21 10:08 EST, Nathan Crubel
no flags Details
File: proc_pid_status (926 bytes, text/plain)
2013-11-21 10:08 EST, Nathan Crubel
no flags Details
File: var_log_messages (547 bytes, text/plain)
2013-11-21 10:08 EST, Nathan Crubel
no flags Details
pidgin-2.10.9-1.fc20_backtrace (35.42 KB, text/plain)
2014-02-17 12:31 EST, kubrick@fgv6.net
no flags Details

  None (edit)
Description Nathan Crubel 2013-11-21 10:07:50 EST
Description of problem:
Trying to login using Pidgin,  Connected with same settings as Fedora 19, but kept saying read error before the cash.

Version-Release number of selected component:
pidgin-2.10.7-8.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/pidgin
crash_function: purple_proxy_connect_data_destroy
executable:     /usr/bin/pidgin
kernel:         3.11.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 purple_proxy_connect_data_destroy at proxy.c:585
 #7 purple_proxy_connect_cancel at proxy.c:2562
 #8 sipe_backend_transport_disconnect at purple-transport.c:312
 #9 sip_transport_disconnect at sip-transport.c:1328
 #10 sipe_core_connection_cleanup at sipe-core.c:350
 #11 sipe_core_deallocate at sipe-core.c:409
 #12 sipe_purple_close at purple-plugin.c:470
 #13 _purple_connection_destroy at connection.c:275
 #14 purple_account_disconnect at account.c:1284
 #15 enabled_cb at gtkaccount.c:1995
Comment 1 Nathan Crubel 2013-11-21 10:07:57 EST
Created attachment 827265 [details]
File: backtrace
Comment 2 Nathan Crubel 2013-11-21 10:08:00 EST
Created attachment 827266 [details]
File: cgroup
Comment 3 Nathan Crubel 2013-11-21 10:08:03 EST
Created attachment 827267 [details]
File: core_backtrace
Comment 4 Nathan Crubel 2013-11-21 10:08:06 EST
Created attachment 827268 [details]
File: dso_list
Comment 5 Nathan Crubel 2013-11-21 10:08:09 EST
Created attachment 827269 [details]
File: environ
Comment 6 Nathan Crubel 2013-11-21 10:08:12 EST
Created attachment 827270 [details]
File: limits
Comment 7 Nathan Crubel 2013-11-21 10:08:17 EST
Created attachment 827271 [details]
File: maps
Comment 8 Nathan Crubel 2013-11-21 10:08:21 EST
Created attachment 827272 [details]
File: open_fds
Comment 9 Nathan Crubel 2013-11-21 10:08:25 EST
Created attachment 827273 [details]
File: proc_pid_status
Comment 10 Nathan Crubel 2013-11-21 10:08:28 EST
Created attachment 827274 [details]
File: var_log_messages
Comment 11 Bojan Smojver 2013-12-03 06:34:34 EST
I don't get the crash, but I do get the read errors. This worked with no issues in F-19.
Comment 12 Bojan Smojver 2013-12-03 17:24:12 EST
Actually, I'm hitting bug #770682 in F20. For whatever reason, this worked in F19 and before.
Comment 13 Fedora Admin XMLRPC Client 2014-02-17 07:59:02 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora Admin XMLRPC Client 2014-02-17 07:59:58 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Jan Synacek 2014-02-17 09:21:22 EST
Are you still experiencing the bug? Even with pidgin-2.10.9-1.fc20?
Comment 16 kubrick@fgv6.net 2014-02-17 12:31:20 EST
Created attachment 864206 [details]
pidgin-2.10.9-1.fc20_backtrace

Yes, still happening with pidgin-2.10.9-1.fc20, not sure it's the exact same bug though but that's what abrt seems to think...
Comment 17 Julian Stecklina 2014-07-15 09:42:20 EDT
Happened to me when I tried to disable a sipe account, after I lost my Wifi connection.

pidgin-sipe-1.18.2-1.fc20.x86_64
pidgin-2.10.9-1.fc20.x86_64
Comment 18 Mark Mayfield 2015-01-02 10:57:28 EST
Another user experienced a similar problem:

I tried to disable an account (office communicator account) while it was attempting to sign in. I has started getting a certificate provisioning error and was trying to fix it by modifying settings. I changed a setting and was trying to disable the re enable the account to apply the new settings.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        pidgin
crash_function: purple_proxy_connect_data_destroy
executable:     /usr/bin/pidgin
kernel:         3.17.3-200.fc20.x86_64
package:        pidgin-2.10.10-3.fc20
reason:         pidgin killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            500
Comment 19 Fedora End Of Life 2015-05-29 05:49:22 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2015-06-29 09:06:02 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.